routes/web.php
<?php

//use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
|
*/

use Illuminate\Http\Request;

Route::get('/', function () {
    return redirect()->route('login');
});
Route::get('cekLogin', 'Auth\LoginController@cek')->name('cek.login');
Route::get('empty/email', function () {
    return cekEmail();
})->name('cekId');
Route::post('api/users/update/email', function () {
    DB::table('data_pribadi')->where('idp', useridp())->update(['email1' => request()->email]);
    DB::connection('loker')->table('data_pribadi')->where('idp', useridp())->update(['email1' => request()->email]);
    return response()->json(['status' => "success", 'data' => request()->email], 200);
})->name('api.update.email');
Route::post('api/login', 'ApiController@login')->name('sso.login');
Route::get('aja/logout', function () {
    session()->forget(['login', 'user']);
    return redirect()->route('login');
})->name('logout.aja');
Route::get('/tes', 'TesController@index');
Route::post('/tes', 'TesController@index');
Route::livewire('/users', 'user.index')->name('users.index');
Auth::routes(['register' => false]);
Route::get('/home', 'HomeController@index')->name('home');
Route::group(['middleware' => ['auth'], 'prefix' => 'admin'], function () {
    Route::resource('user', 'UsersController');
    Route::post('user/api', 'UsersController@list')->name('user.api');
    Route::group(['prefix' => 'acl'], function () {
        Route::get('/', 'RoleController@index')
            ->name('access');
        Route::resource('role', 'RoleController');
        Route::get('show/permission/role', 'RoleController@rolePermission')->name('role.permisiion');
        Route::post('show/permission/role/set', 'RoleController@setRolePermission')->name('role.permisiion.set');
        Route::post('api/role', 'RoleController@roleList')->name('api.role');
        Route::resource('permission', 'PermissionController');
        Route::post('api/permission', 'PermissionController@permissionList')->name('api.permission');
    });
});
Route::get('lang/{language}', 'LocalizationController@switch')->name('localization.switch');
// Route::group(['middleware' => ['Login'], 'prefix' => 'admin'], function () {
// });
Route::group(['middleware' => ['Login'], 'prefix' => 'layanan'], function () {
    Route::resource('pembayaran', 'PembayaranController');
    Route::get('full/pembayaran', 'PembayaranController@full')->name('full');
    Route::get('donlot/bukti/', 'PembayaranController@donlot')->name('donlot.bukti');
    Route::get('proses/bayar/{id}', 'PembayaranController@proses')->name('proses.bayar');
    Route::post('proses/bayar/{id}', 'PembayaranController@proses')->name('proses.bayar');
    Route::post('api/pembayaran', 'PembayaranController@listData')->name('api.pembayaran');
    Route::post('api/tagihan/pembayaran', 'PembayaranController@tagihan')->name('api.tagihan.pembayaran');
    Route::get('tagihan/pembayaran', 'PembayaranController@tagihanKu')->name('tagihan.tagihanKu');
    Route::get('detil/biaya', 'PembayaranController@detilBiaya')->name('detil.tagihanKu');
    Route::post('hapus/pembayaran', 'PembayaranController@hapus')->name('hapus.pembayaran');
    Route::post('api/histori', 'HistoryController@dataList')->name('api.histori');
    Route::get('histori', 'HistoryController@index')->name('histori.pembayaran');
    Route::get('kirim/bukti', 'HistoryController@kirim')->name('kirim.bukti');
    Route::post('kirim/bukti', 'HistoryController@kirim')->name('kirim.bukti');
    Route::get('rincian/biaya', 'HistoryController@rincian')->name('rincian.user');
    Route::get('sgs', 'SGSController@index')->name('sgs');
    Route::post('sgs', 'SGSController@listData')->name('sgs.api');
    Route::get('teman', 'TemanController@index')->name('teman');
    Route::post('api/teman/sekampung', 'TemanController@sekampung')->name('teman.sekampung');
    Route::post('api/teman/seangkatan', 'TemanController@seangkatan')->name('teman.seangkatan');
    Route::post('api/teman/sejurusan', 'TemanController@sejurusan')->name('teman.sejurusan');
});
Route::group(['middleware' => ['Petugas'], 'prefix' => 'sistem'], function () {
    Route::resource('pengguna', 'PenggunaController');
    Route::post('api/pengguna', 'PenggunaController@listData')->name('api.pengguna');
    Route::get('rekap-pembayaran', 'PembayaranMhsController@index')->name('rekap.pembayaran');
    Route::get('/rekap/detil/{nim}', 'PembayaranMhsController@detail')->name('detil.pembayaran');
    Route::post('api/rekap-pembayaran', 'PembayaranMhsController@dataList')->name('api.rekap.pembayaran');
});
Route::get('reload/capta', function () {
    return response()->json(['captcha' => captcha_img()]);
})->name('reload.ca');
Route::group(['middleware' => ['Petugas'], 'prefix' => 'ujian'], function () {
    Route::resource('peserta', 'PesertaController');
    Route::get('export/peserta', 'PesertaController@export')->name('export.peserta');
    Route::post('api/peserta', 'PesertaController@dataList')->name('api.peserta');
    Route::get('template/peserta', 'PesertaController@template')->name('template');
    Route::get('template/upload', 'PesertaController@upload')->name('template.upload');
    Route::post('template/upload', 'PesertaController@upload')->name('template.upload');
    Route::post('kosongkan/peserta', 'PesertaController@pesertaDelete')->name('destoyed.peserta');
    Route::get('mahasiswa', function (Request $req) {
        if (!empty($req->has('q'))) {
            $cari = $req->q;
            $data = DB::table('_mahasiswa')->where('nama', 'LIKE', '%' . $cari . '%')->limit(100)
                ->orderBy('nama', 'ASC')->get();
            return response()->json($data);
        } else {
            $data = DB::table('_mahasiswa')->orderBy('nama', 'ASC')->limit(100)->get();
            return response()->json($data);
        }
    })->name('all.mhs');
    Route::get('mhs/info', function (Request $req) {
        $data = DB::table('_mahasiswa')->where('nim', request()->nim)->first();
        return response()->json(['nim' => $data->nim, 'idp' => $data->idp, 'nama' => $data->nama]);
    })->name('mhs.info');
    Route::resource('data-ujian', 'DataUjianController');
    Route::post('api/list/ujian', 'DataUjianController@dataList')->name('list.ujian');
    Route::resource('jadwal', 'JadwalUjianController');
    Route::post('api/list/jadwal-ujian', 'JadwalUjianController@dataList')->name('jadwal.list.ujian');
    Route::get('template/jadwal', 'JadwalUjianController@template')->name('template.jadwal');
    Route::post('template/jadwal/upload', 'JadwalUjianController@upload')->name('template.ujian.upload');
    Route::get('template/jadwal/upload', 'JadwalUjianController@upload')->name('template.ujian.upload');
    Route::post('kosongkan/jadwal/ujian', 'JadwalUjianController@hapus')->name('destoyed.jadwal');
    Route::resource('soal', 'SoalUjianController');
    Route::post('api/soal', 'SoalUjianController@dataList')->name('list.soal');
    Route::get('jawaban-mhs', 'JawabanController@index')->name('jawaban.mhs');
    Route::post('api/jawaban-mhs', 'JawabanController@dataList')->name('list.jawaban.mhs');
    Route::get('data/soal', 'JawabanController@soal')->name('und.soal');
    Route::get('data/jwb', 'JawabanController@jawaban')->name('und.jawaban');
});
// Route::group(['middleware' => ['Login'], 'prefix' => 'dashboard'], function () {
//     Route::get('ujian', 'SoalMhsController@index')->name('soal.mhs');
//     Route::post('token/ujian', 'SoalMhsController@cekToken')->name('cekToken.soal.mhs');
//     Route::get('soal/ujian/{token}/{jadwal}', 'SoalMhsController@soal')->name('soal.untuk.siswa');
//     Route::post('upload/file/ujian/', 'SoalMhsController@uplod')->name('soal.file.siswa');
//     Route::get('upload/file/ujian', 'SoalMhsController@uploadSoal')->name('soal.xx.siswa');
// });

resources/views/ujian/jadwal/create.blade.php
<div class="modal-header">
    <h5 class="modal-title" id="myExtraLargeModalLabel">Form</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
<form method="POST" id="form_data">
    <div class="modal-body">
        <div class="form-row mb-4">


            <div class="form-group col-md-6">
                <label for="inputPassword4">Nama / Keterangan</label>
                <textarea type="text" class="form-control-rounded form-control input" id="name"
                    placeholder="Nama / Keterangan / Nama Dosen" name="keterangan"></textarea>

            </div>
            <div class="form-group col-md-6">
                <label for="xx">Mata Kuliah</label>
                <select name="mk" class="select2 form-control-rounded form-control" required>
                    <option value=""></option>
                    @foreach ($pelajaran as $key)
                    <option value="{{$key->kd_ak}}">{{ $key->kd_ak }} - {{$key->nama}}</option>

                    @endforeach
                </select>

            </div>
            <div class="form-group col-md-6">
                <label for="xx">Data Ujian</label>
                <select name="ujian" class="select2 form-control-rounded form-control" required>
                    <option value=""></option>
                    @foreach ($ujian as $key)
                    <option value="{{$key->id}}"> {{$key->name}}</option>

                    @endforeach
                </select>

            </div>
            <div class="form-group col-md-3" data-role="datepicker">
                <label for="inputEmail4">Tanggal Mulai</label>
                <input type="text" class="form-control-rounded form-control" name="start" required>
            </div>
            <div class="form-group col-md-3" data-role="datepicker">
                <label for="inputEmail4">Tanggal Berakhir</label>
                <input type="text" class="form-control-rounded form-control" name="finish" required>
            </div>
            <div class="form-group col-md-3">
                <label for="inputEmail4">Jam Mulai</label>
                <input type="text" class="form-control-rounded form-control timepicker" name="time_start" required>
            </div>
            <div class="form-group col-md-3">
                <label for="inputEmail4">Jam Berakhir</label>
                <input type="text" class="form-control-rounded form-control timepicker" name="time_finish" required>
            </div>
            <div class="form-group col-md-3">
                <label for="inputEmail4">Kuota</label>
                <input type="text" class="form-control-rounded form-control" name="kuota" required placeholder="Kuota"
                    onkeypress="return angka(event)">
            </div>
        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-dark btn-rounded mt-3 mb-3" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary btn-rounded mt-3 mb-3">Submit</button>
        </div>
    </div>
</form>
<script>
    $('.select2').select2({
    placeholder: 'Cari...',
    });
    $('.timepicker').datetimepicker({
//          format: 'H:mm',    // use this format if you want the 24hours timepicker
    format: 'H:mm', 
       //use this format if you want the 12hours timpiecker with AM/PM toggle
    icons: {
        time: "now-ui-icons tech_watch-time",
        date: "now-ui-icons ui-1_calendar-60",
        up: "flaticon-arrows-1",
        down: "flaticon-down-arrow",
        previous: 'now-ui-icons arrows-1_minimal-left',
        next: 'now-ui-icons arrows-1_minimal-right',
        today: 'fa fa-screenshot',
        clear: 'fa fa-trash',
        close: 'fa fa-remove'
    },

    // inline: true,
    // sideBySide: true
 });

  

    $("#form_data").submit(function (e) {
        e.preventDefault();
       $('#myModal').modal('hide')
        var form=$("#form_data").serialize();
       $.ajax({
           type: "POST",
           url: "{{route('jadwal.store')}}",
           data: form,
           dataType: "JSON",
           success: function (response) {
            if (response.status!="error") {
                Toast.fire({
                icon: 'success',
                title:"Success",
                text: response.msg
                });
                myTable.ajax.reload();
            } else {
                Swal.fire({
                position: 'top-end',
                icon: 'error',
                title:"Error!",
                text: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
            }
           },
           error:function(response)
           {
            Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: "Error!",
                text: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
           }
       });
    });
</script>

resources/views/ujian/jadwal/edit.blade.php
<div class="modal-header">
    <h5 class="modal-title" id="myExtraLargeModalLabel">Form Edit</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
<form method="POST" id="form_data">
    <div class="modal-body">
        <div class="form-row mb-4">


            <div class="form-group col-md-6">
                <label for="inputPassword4">Nama / Keterangan</label>
                <textarea type="text" class="form-control-rounded form-control input" id="name"
                    placeholder="Nama / Keterangan / Nama Dosen" name="keterangan">{{ $data->keterangan }}</textarea>

            </div>
            <div class="form-group col-md-6">
                <label for="xx">Mata Kuliah</label>
                <select name="mk" class="select2 form-control-rounded form-control" required>
                    <option value=""></option>
                    @foreach ($pelajaran as $key)
                    <option value="{{$key->kd_ak}}" {{ $data->mkKode==$key->kd_ak?"selected":"" }}>{{ $key->kd_ak }} -
                        {{$key->nama}}</option>

                    @endforeach
                </select>

            </div>
            <div class="form-group col-md-6">
                <label for="xx">Data Ujian</label>
                <select name="ujian" class="select2 form-control-rounded form-control" required>
                    <option value=""></option>
                    @foreach ($ujian as $key)
                    <option value="{{$key->id}}" {{ $data->ujianId==$key->id?"selected":"" }}> {{$key->name}}</option>

                    @endforeach
                </select>

            </div>
            <div class="form-group col-md-3" data-role="datepicker">
                <label for="inputEmail4">Tanggal Mulai</label>
                <input type="text" class="form-control-rounded form-control" name="start" required
                    value="{{ tgl($data->start) }}">
            </div>
            <div class="form-group col-md-3" data-role="datepicker">
                <label for="inputEmail4">Tanggal Berakhir</label>
                <input type="text" class="form-control-rounded form-control" name="finish" required
                    value="{{ tgl($data->finish) }}">
            </div>
            <div class="form-group col-md-3">
                <label for="inputEmail4">Jam Mulai</label>
                <input type="text" class="form-control-rounded form-control timepicker" name="time_start" required
                    value="{{ jam2($data->start) }}">
            </div>
            <div class="form-group col-md-3">
                <label for="inputEmail4">Jam Berakhir</label>
                <input type="text" class="form-control-rounded form-control timepicker" name="time_finish" required
                    value="{{ jam2($data->finish) }}">
            </div>
            <div class="form-group col-md-3">
                <label for="inputEmail4">Kuota</label>
                <input type="text" class="form-control-rounded form-control" name="kuota" required placeholder="Kuota"
                    onkeypress="return angka(event)" value="{{ $data->kuota }}">
            </div>
        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-dark btn-rounded mt-3 mb-3" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary btn-rounded mt-3 mb-3">Submit</button>
        </div>
    </div>
</form>
<script>
    $(".select2").select2({
    placeholder: "Pilih",
    allowClear: true
    });
     $('.timepicker').datetimepicker({
//          format: 'H:mm',    // use this format if you want the 24hours timepicker
    format: 'H:mm', 
       //use this format if you want the 12hours timpiecker with AM/PM toggle
    icons: {
        time: "now-ui-icons tech_watch-time",
        date: "now-ui-icons ui-1_calendar-60",
        up: "flaticon-arrows-1",
        down: "flaticon-down-arrow",
        previous: 'now-ui-icons arrows-1_minimal-left',
        next: 'now-ui-icons arrows-1_minimal-right',
        today: 'fa fa-screenshot',
        clear: 'fa fa-trash',
        close: 'fa fa-remove'
    },

    // inline: true,
    // sideBySide: true
 });
    $("#form_data").submit(function (e) {
        e.preventDefault();
       $('#myModal').modal('hide')
        var form=$("#form_data").serialize();
       $.ajax({
           type: "POST",
           method:"PUT",
           url: "{{route('jadwal.update',[$data->id])}}",
           data: form,
           dataType: "JSON",
           success: function (response) {
            if (response.status!="error") {
               Toast.fire({
                icon: 'success',
                title: 'Success!',
                text:response.msg
                });
                myTable.ajax.reload();

            } else {
                Swal.fire({
                position: 'top-end',
                icon: 'error',
                title:"Error!",
                text: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
            }
           },
           error:function(response)
           {
            Swal.fire({
                position: 'top-end',
                icon: 'error',
                title:"Error!",
                text: response.msg,
                showConfirmButton: false,
                showCloseButton:true
                })
           }
       });
    });
</script>

resources/views/ujian/jadwal/index.blade.php
@extends('layouts.master')
@section('title', trans('Jadwal Ujian'))
@section('parentPageTitle', 'Ujian')
@section('css')
<link rel="stylesheet" type="text/css" href="{{asset('plugins/table/datatable/datatables.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('plugins/table/datatable/custom_dt_customer.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('plugins/select2/select2.min.css')}}">
<link href="{{ asset('assets/css/design-css/design.css') }}" rel="stylesheet" type="text/css" />
<link href="{{ asset('plugins/date_time_pickers/bootstrap-datetimepicker/bootstrap-datetimepicker.min.css') }}"
    rel="stylesheet" type="text/css">
<link href="{{ asset('plugins/date_time_pickers/custom_datetimepicker_style/custom_datetimepicker.css') }}"
    rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/components/custom-page_style_datetime.css') }}">

@endsection
@section('content')

<div class="row layout-spacing">
    <div class="col-lg-12">
        <div class="statbox widget box box-shadow">
            <div class="widget-header">
                <br>
                <div class="row">
                    <div class="col-md-5 col-sm-5 mb-4 mb-sm-0">
                        <h6 class="mt-3 mb-0"> </h6>
                    </div>
                    <div class="col-md-12 col-sm-12 text-sm-center">

                        <a href="{{ route('jadwal.create') }}" data-toggle="modal" data-target="#myModal" type="button"
                            class="btn btn-success mb-4 mr-2"><i class="flaticon-plus-2 mr-1"></i>
                            Tambah</a>
                        <a href="{{ route('template.jadwal') }}" type="button" class="btn btn-dark mb-4 mr-2"><i
                                class="flaticon-file mr-1"></i>
                            Template</a>
                        <a href="{{ route('template.ujian.upload') }}" data-toggle="modal" data-target="#myModal"
                            type="button" class="btn btn-warning mb-4 mr-2"><i class="flaticon-upload-file mr-1"></i>
                            Upload Jadwal</a>
                        <a href="#" onclick="destroy()" class="btn btn-danger mb-4 mr-2"><i
                                class="flaticon-delete-6 mr-1"></i>
                            Hapus Semua</a>

                    </div>

                </div>
            </div>
            <div class="widget-content widget-content-area">
                <div class="table-responsive mb-4 style-1">

                    <table id="userss" class="table style-1  table-bordered table-hover">
                        <thead>
                            <tr>
                                <th> No. </th>
                                <th>Ujian</th>
                                <th>Matakuliah</th>
                                <th>Kuota</th>
                                <th>{{trans('Mulai')}}</th>
                                <th>Berakhir</th>
                                <th>Keterangan</th>
                                <th>Action</th>


                            </tr>
                        </thead>

                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('js')
<script src="{{asset('plugins/table/datatable/datatables.js')}}"></script>
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<script src="{{ asset('plugins/date_time_pickers/bootstrap_date_range_picker/moment.min.js') }}"></script>
<script src="{{ asset('plugins/date_time_pickers/bootstrap-datetimepicker/bootstrap-datetimepicker.min.js') }}">
</script>
<script src="{{ asset('assets/js/design-js/design.js') }}">
</script>
<script src="{{ asset('plugins/date_time_pickers/bootstrap-datetimepicker/bootstrap-datetimepicker.min.js') }}">
</script>

@endsection
@section('modal')
<div class="modal fade animated zoomInUp custo-zoomInUp" role="dialog" aria-labelledby="myExtraLargeModalLabel"
    aria-hidden="true" id="myModal">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
        </div>
    </div>
</div>


@endsection
@section('script')
<script type="text/javascript">
    $("#myModal").on("show.bs.modal", function(e) {
        var link = $(e.relatedTarget);
        $(this).find(".modal-content").load(link.attr("href"));
    });
    // $(".select2").select2({
    //     placeholder: 'Cari',
    //     allowClear: true
    // });

var myTable=$('#userss').DataTable({
        processing: true,
        serverSide: true,
        pageLength:5,
       // lengthMenu:[[5,10,15,20,50,100],[5,10,15,20,50,100]],
        lengthMenu: [ 5, 10, 20, 50, 100 ],
        language: {
                paginate: {
                  previous: "<i class='flaticon-arrow-left-1'></i>",
                  next: "<i class='flaticon-arrow-right'></i>"
                },
                //info: "Showing page _PAGE_ of _PAGES_"
            },
        ajax: {
            url: '{{route("jadwal.list.ujian")}}',
            method: 'POST'
        },
        columns: [
            {data: 'DT_RowIndex', orderable: false, searchable: false},
            {data: 'name', name: 'name'},
            {data: 'nama', name: 'nama'},
            {data: 'kuota', name: 'kuota'},
            {data: 'start', name: 'start'},
            {data: 'finish', name: 'finish',searchable:false},
            {data: 'keterangan', name: 'keterangan',searchable:false},           
            {data: 'action', name: 'action',orderable: false, searchable: false}
        ],

    });
function hapus(id){

    swalWithBootstrapButtons.fire({
    title: 'Are you sure?',
    text: "You won't be able to revert this!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonText: 'Yes, delete it!',
    cancelButtonText: 'No, cancel!',
    reverseButtons: true,
    showLoaderOnConfirm: true,
    }).then((result) => {
  if (result.value) {
      $.ajax({
          type: "POST",
          method:"DELETE",
          url: "{{url('ujian/jadwal/')}}/"+id,
          data: {id:id},
          dataType: "JSON",
          success: function (response) {
              if (response.status!='error') {
                  swalWithBootstrapButtons.fire(
                'Deleted!',
                'Your file has been deleted.',
                'success',
                ''
                );
                Toast.fire({
                icon: 'success',
                title: 'Your User has been deleted.'
                });
                myTable.ajax.reload();
              } else {

              }
          }
      });
  } else if (
    /* Read more about handling dismissals below */
    result.dismiss === Swal.DismissReason.cancel
  ) {
    swalWithBootstrapButtons.fire(
      'Cancelled',
      'Your imaginary User is safe :)',
      'error'
    );
  }
})

 }
 function destroy(){

    swalWithBootstrapButtons.fire({
    title: 'Are you sure?',
    text: "You won't be able to revert this!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonText: 'Yes, delete it!',
    cancelButtonText: 'No, cancel!',
    reverseButtons: true,
    showLoaderOnConfirm: true,
    }).then((result) => {
    if (result.value) {
      $.ajax({
          type: "POST",
         
          url: "{{route("destoyed.jadwal")}}",
         
          dataType: "JSON",
          success: function (response) {
              if (response.status!='error') {
                  swalWithBootstrapButtons.fire(
                'Deleted!',
                'Your file has been deleted.',
                'success',
                ''
                );
                Toast.fire({
                icon: 'success',
                title: 'Success.',
                text:response.msg,
                });
                myTable.ajax.reload();
              } else {

              }
          }
      });
  } else if (
    /* Read more about handling dismissals below */
    result.dismiss === Swal.DismissReason.cancel
  ) {
    swalWithBootstrapButtons.fire(
      'Cancelled',
      'Your imaginary User is safe :)',
      'error'
    );
  }
})

 }

</script>
@endsection

resources/views/ujian/jadwal/upload.blade.php
<div class="modal-header">
    <h5 class="modal-title" id="myExtraLargeModalLabel">Form</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
<form method="POST" id="form_data">
    @csrf
    <div class="modal-body">
        <div class="form-group col-md-6">
            <label for="xx">Data Ujian</label>
            <select name="ujian" class="select2 form-control-rounded form-control" required>
                <option value=""></option>
                @foreach ($ujian as $key)
                <option value="{{$key->id}}"> {{$key->name}}</option>

                @endforeach
            </select>

        </div>
        <div class="form-row mb-4">
            <div class="form-group col-md-6">
                <label for="inputEmail4">{{trans('File')}}</label>
                <input type="file" class="form-control-rounded form-control" name="file"
                    placeholder="{{trans('nama')}}">
            </div>



        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-dark btn-rounded mt-3 mb-3" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary btn-rounded mt-3 mb-3">Submit</button>
        </div>
    </div>
</form>
<script>
    $(".select2").select2({
    placeholder: "Pilih",
    allowClear: true
    });

    $("#form_data").submit(function (e) {
        e.preventDefault();
       $('#myModal').modal('hide')
        var form= new FormData(this);
       $.ajax({
           type: "POST",
           url: "{{route('template.ujian.upload')}}",
           data: form,
          cache: false,
        contentType: false,
        processData: false,
           success: function (response) {
            if (response.status!="error") {
                Toast.fire({
                icon: 'success',
                title:'Success!',              
                text:response.msg
                });
                myTable.ajax.reload();
            } else {
                Swal.fire({
                position: 'top-end',
                icon: 'error',
                title:"Error",
                text: response.msg.toString(),
                showConfirmButton: false,
                showCloseButton:true
                })
            }
           },
           error:function(response)
           {
            Swal.fire({
                position: 'top-end',
                icon: 'error',
                title: "Error!",
                text: response.message,
                showConfirmButton: false,
                showCloseButton:true
                })
           }
       });
    });
</script>